commit:     675478ed31d2e248c06fb54789973d373b14ca58
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Jun 14 00:47:44 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Mon Jun 14 02:27:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=675478ed

dev-python/pytest-cython: add 0.1.1

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/pytest-cython/Manifest                  |  1 +
 .../pytest-cython/pytest-cython-0.1.1.ebuild       | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/pytest-cython/Manifest 
b/dev-python/pytest-cython/Manifest
index e28b85e2d..38d733099 100644
--- a/dev-python/pytest-cython/Manifest
+++ b/dev-python/pytest-cython/Manifest
@@ -1 +1,2 @@
 DIST pytest-cython-0.1.0.tar.gz 19109 BLAKE2B 
75895992402f36010385e0851cce4532825d374cc9d5af1b45d4dc938070da1f9e8c9901601ac10e3fa9a76fd4f0affd3f0dac6d8857eea88c73cbc1686ce613
 SHA512 
65d8d25f95f2419ae76902cad8f0f4c9b810dbbba80621d301f53d2128dfeb11c4d74e2ac4f1e39f63aadfc1404e9000c0668efbab4793d307f0b90345023771
+DIST pytest-cython-0.1.1.tar.gz 817776 BLAKE2B 
d9b812cefc45153a1ce7abb0b1be2e7fc329b88d89ed48529f62a38c402d74bb164ed6b928f291586f0064820dc52156eacdf161da3a0d65d10f5a15681a17e4
 SHA512 
353a6c3b67df0608b24f24e04ba5d3fa48065d3960834e32bf44f2dfcd6248cb4c86de528c15dbfd20e36811bfb0ae04670f6441afb74bcb7bd1d7af71060463

diff --git a/dev-python/pytest-cython/pytest-cython-0.1.1.ebuild 
b/dev-python/pytest-cython/pytest-cython-0.1.1.ebuild
new file mode 100644
index 000000000..1d8fc289c
--- /dev/null
+++ b/dev-python/pytest-cython/pytest-cython-0.1.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( pypy3 python3_{8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Plugin for testing Cython extension modules"
+HOMEPAGE="https://github.com/lgpage/pytest-cython";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/pytest[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs dev-python/sphinx-py3doc-enhanced-theme
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i 's|\[pytest\]|\[tool:pytest\]|' setup.cfg || die
+       default
+}
+
+python_test() {
+       epytest -vv \
+               --deselect tests/test_pytest_cython.py::test_wrap_c_ext_module \
+               --deselect tests/test_pytest_cython.py::test_cython_ext_module \
+               --deselect 
tests/test_pytest_cython.py::test_wrap_cpp_ext_module \
+               --deselect tests/test_pytest_cython.py::test_pure_py_module \
+               || die
+}

Reply via email to